%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-IO-Socket-SSL
Epoch:         1
Version:       2.075
Release:       1mamba
Summary:       IO::Socket - A class implementing an object oriented interface to SSL sockets
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/IO/IO-Socket-SSL-%{version}.tar.gz
License:       GPL
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Net-SSLeay
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-Net-LibIDN
BuildRequires: perl-IO-Socket-INET6

%description
A class implementing an object oriented interface to SSL sockets.

%prep
%setup -q -n IO-Socket-SSL-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make

%ifnarch arm aarch64
# FIXME: t/core.t causes a perl process to go crazy (seen on kirkwood kernel/Guruplug server)
%make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Sep 03 2022 Automatic Build System <autodist@mambasoft.it> 2.075-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 2.074-1mamba
- automatic version update by autodist

* Thu Dec 23 2021 Automatic Build System <autodist@mambasoft.it> 2.073-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 2.072-1mamba
- automatic version update by autodist

* Sun May 23 2021 Automatic Build System <autodist@mambasoft.it> 2.071-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 2.070-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 2.069-1mamba
- automatic version update by autodist

* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 2.068-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 2.052-1mamba
- automatic update by autodist

* Mon Feb 01 2016 Automatic Build System <autodist@mambasoft.it> 2.023-1mamba
- automatic update by autodist

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 2.015-1mamba
- automatic update by autodist

* Thu Feb 05 2015 Automatic Build System <autodist@mambasoft.it> 2.012-1mamba
- automatic update by autodist

* Sat Jan 31 2015 Automatic Build System <autodist@mambasoft.it> 2.010-1mamba
- automatic update by autodist

* Fri Dec 26 2014 Automatic Build System <autodist@mambasoft.it> 2.008-1mamba
- automatic update by autodist

* Tue Nov 25 2014 Automatic Build System <autodist@mambasoft.it> 2.006-1mamba
- automatic update by autodist

* Thu Oct 23 2014 Automatic Build System <autodist@mambasoft.it> 2.002-1mamba
- automatic update by autodist

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 2.000-1mamba
- automatic update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 1.999-1mamba
- automatic update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 1.998-1mamba
- automatic update by autodist

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 1.997-1mamba
- automatic update by autodist

* Tue Jun 03 2014 Automatic Build System <autodist@mambasoft.it> 1.992-1mamba
- automatic update by autodist

* Fri May 30 2014 Automatic Build System <autodist@mambasoft.it> 1.991-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 1.989-1mamba
- automatic update by autodist

* Fri Dec 27 2013 Automatic Build System <autodist@mambasoft.it> 1.962-1mamba
- automatic update by autodist

* Thu Sep 19 2013 Automatic Build System <autodist@mambasoft.it> 1.954-1mamba
- automatic update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 1.953-1mamba
- automatic update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 1.951-1mamba
- automatic version update by autodist

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 1.85-1mamba
- update to 1.85

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.831-1mamba
- automatic version update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 1.81-1mamba
- automatic version update by autodist

* Wed Nov 28 2012 Automatic Build System <autodist@mambasoft.it> 1.79-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.77-2mamba
- perl 5.16 mass rebuild

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 1.77-1mamba
- automatic version update by autodist

* Mon Jun 18 2012 Automatic Build System <autodist@mambasoft.it> 1.76-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.44-1mamba
- automatic update by autodist

* Fri May 20 2011 Automatic Build System <autodist@mambasoft.it> 1.43_1-1mamba
- automatic update by autodist

* Tue Mar 08 2011 Automatic Build System <autodist@mambasoft.it> 1.39-1mamba
- automatic update by autodist

* Wed Feb 02 2011 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic update by autodist

* Thu Dec 16 2010 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic update by autodist

* Thu Dec 09 2010 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic update by autodist

* Fri Nov 12 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.34-2mamba
- rebuild with INSTALLDIRS=vendor
- build requires perl-IO-Socket-INET6
- do not disable the inet6 test

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic update by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic update by autodist

* Wed Oct 14 2009 Automatic Build System <autodist@mambasoft.it> 1.31-1mamba
- automatic update by autodist

* Mon Aug 24 2009 Automatic Build System <autodist@mambasoft.it> 1.30-1mamba
- automatic update by autodist

* Mon Jul 27 2009 Automatic Build System <autodist@mambasoft.it> 1.27-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-3mamba
- automatic rebuild by autodist

* Sat Jul 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-2mamba
- tests enabled

* Mon Jun 23 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.13-1mamba
- update to 1.13

* Wed Jan 19 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.96-1qilnx
- package created by autospec
